<template>
  <div class="transaction-datas-component">
    <h3>Last transaction</h3>
    <p><span class="bold">From :</span> {{ transaction.from }}</p>
    <p><span class="bold">To :</span> {{ transaction.to }}</p>
    <p><span class="bold">Value :</span> {{ transaction.value }}</p>
    <p><span class="bold">Gas consumed :</span> {{ transaction.gas }}</p>
    <p><span class="bold">Gas price :</span> {{ transaction.gasPrice }}</p>
    <p><span class="bold">Hash :</span> {{ transaction.hash }}</p>
    <p><span class="bold">Block number :</span> {{ transaction.blockNumber }}</p>
    <p><span class="bold">Block hash :</span> {{ transaction.blockHash }}</p>
  </div>
</template>

<script>
export default {
  name: "TransactionDatas",
  props: {
    transaction: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style scoped>
.transaction-datas-component {
    text-align: left;
}
p {
    margin: 0;
}
.bold {
    font-weight: bold;
}
</style>